#include "averagechartpanel.h"
#include "averagechart.h"

#include <QVBoxLayout>
#include <QSlider>

AverageChartPanel::AverageChartPanel(QWidget *parent)
    : QWidget(parent)
{
   initUI();
}

AverageChartPanel::~AverageChartPanel()
{

}

void AverageChartPanel::initUI()
{    
    mMainVLayout = new QVBoxLayout;
    mAverageChart = new AverageChart;
    mSlider = new QSlider;
    mSlider->setOrientation(Qt::Horizontal);
    mSlider->setRange(1, 2999);
    mMainVLayout->addWidget(mAverageChart);
    mMainVLayout->addWidget(mSlider);
    this->setLayout(mMainVLayout);

    connect(mSlider, SIGNAL(valueChanged(int)), mAverageChart, SLOT(setValue(int)));
    mSlider->setValue(88);
}
